>From 7bd49244b6568191aa717d7b040ed783ec2b9179 Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Fri, 24 Aug 2012 22:07:00 +0900
Subject: [PATCH] OS/2: Include sys/types.h in vlc_configuration.h

This fixes the following error.

-----
make.exe[1]: Entering directory `F:/lang/work/vlc/vlc.git/modules/demux/mkv'
  CXX    libmkv_plugin_la-virtual_segment.lo
In file included from ../../../include/vlc_common.h:938,
                 from mkv.hpp:45,
                 from demux.hpp:28,
                 from virtual_segment.cpp:27:
../../../include/vlc_configuration.h:104: error: 'ssize_t' does not name a type
../../../include/vlc_configuration.h:106: error: 'ssize_t' does not name a type
In file included from mkv.hpp:53,
                 from demux.hpp:28,
                 from virtual_segment.cpp:27:
../../../include/vlc_charset.h:153: warning: 'warn_unused_result' attribute ignored
make.exe[1]: *** [libmkv_plugin_la-virtual_segment.lo] Error 1
make.exe[1]: Leaving directory `F:/lang/work/vlc/vlc.git/modules/demux/mkv'
make.exe: *** [all] Error 2
-----
---
 include/vlc_configuration.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/include/vlc_configuration.h b/include/vlc_configuration.h
index f538757..02a8486 100644
--- a/include/vlc_configuration.h
+++ b/include/vlc_configuration.h
@@ -32,6 +32,8 @@
  * It includes functions allowing to declare, get or set configuration options.
  */
 
+#include <sys/types.h>  /* for ssize_t */
+
 # ifdef __cplusplus
 extern "C" {
 # endif
-- 
1.7.3.2

